Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.node
Interface IUserLayoutFolderDescription

All Superinterfaces:
  IUserLayoutNodeDescription

All Known Subinterfaces:
  IALFolderDescription

All Known Implementing Classes:
  ALFolderDescription, UserLayoutFolderDescription

    public interface IUserLayoutFolderDescription

extends IUserLayoutNodeDescription

An interface describing a folder user layout node.

Version:
  1.0
Author:
  Peter Kharchenko

Field Summary
`static java.lang.String[]` | `folderTypeNames`
`static int` | `FOOTER_TYPE`
`static int` | `HEADER_TYPE`
`static int` | `REGULAR_TYPE`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Method Summary
`int` | `getFolderType()` Returns folder type.
`org.w3c.dom.Element` | `getXML(org.w3c.dom.Document root)` Creates a `org.w3c.dom.Element` representation of the current node.
`void` | `setFolderType(int folderType)` Assign a type to a folder.

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Field Detail

### REGULAR_TYPE

    static final int REGULAR_TYPE

See Also:
  Constant Field Values

### HEADER_TYPE

    static final int HEADER_TYPE

See Also:
  Constant Field Values

### FOOTER_TYPE

    static final int FOOTER_TYPE

See Also:
  Constant Field Values

### folderTypeNames

    static final java.lang.String[] folderTypeNames

Method Detail

### getFolderType

    int getFolderType()

  Returns folder type.

  Returns:
    an `int` value corresponding to one of the valid folder types.

### setFolderType

    void setFolderType(int folderType)

  Assign a type to a folder.

  Parameters:
    `folderType` - an `int` value corresponding to one of the valid folder types.

### getXML

    org.w3c.dom.Element getXML(org.w3c.dom.Document root)

  Creates a `org.w3c.dom.Element` representation of the current node.

  Specified by:
    `getXML` in interface `IUserLayoutNodeDescription`
  Parameters:
    `root` - a `Document` for which the `Element` should be created.
  Returns:
    a `Node` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD